Subject: RE: bug#43386: 27.1; Regression in `report-emacs-bug'

From: Drew Adams <[email-masked]>
Date: Mon, 14 Sep 2020 00:11:48 +0000 (UTC)

> What is the question it asks you, exactly?

"Save this mail sending choice? (y or n)"

That's posed after I edit the address, try C-c C-c
again, and tell it I want to use "mail client".

It correctly pops up my mail client's (Outlook)
new mail window (where I can paste the bug report
text).  But in Emacs I get that follow-up prompt
asking whether to save the mail sending choice.

I think when I filed the bug report I was
misremembering the question to be about saving
the email address instead of saving my choice of
"mail client".

In any case, in Emacs 26.3 (and prior), even
though the From has that crazy text, when I use
C-c C-c and tell Emacs to use my mail client,
the mail client window pops up perfectly, and
yes, my mail client knows what my email address
is.  The buffer *sent mail to [email-masked]*
still has the crazy From text, but Emacs doesn't
bother me.  C-c C-c and saying "mail client" is
sufficient.  I'm not prevented from filling out
a mail message in my client and sending it.
Nothing annoying in Emacs 26.3 (or prior).